Subject: bug#57608: closed (Re: [bug#57608] Upstreaming KDE Plasma and rest of packages)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Sep 2023 04:24:02 +0000

Your bug report

#57608: Upstreaming KDE Plasma and rest of packages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57608: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57608
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#57608] Upstreaming KDE Plasma and rest of packages
From: 宋文武 <[email-masked]>
To: phodina <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Sep 2023 12:23:25 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

phodina <[email-masked]> writes:

> [...]
>
> The patches are again tracked in the branch patch/upstream-kde [2]. Expect rebases as my next plan is to go
> through licenses and later tests + builds.

Hello, we have a working KDE plasma in master now, closing.

If there are still some changes needed, please rebase and open new
issues, thanks!

Subject: Upstreaming KDE Plasma and rest of packages
From: phodina <[email-masked]>
To: Guix Patches <[email-masked]>
Cc: Maxim Cournoyer <[email-masked]>, Maxime Devos <[email-masked]>, Brendan Tildesley <[email-masked]>, Leo Famulari <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Hartmut Goebel <[email-masked]>
Date: Tue, 06 Sep 2022 07:14:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Marius,

thanks for upstreaming the patches into staging. [1]

I've rebased the patches on your changes.

Unfortunately beside that I haven't had the time to go through them.

I just removed the kpurpose as it was pointed out by Brendan that the package is already there under the name purpose.

The patches are again tracked in the branch patch/upstream-kde [2]. Expect rebases as my next plan is to go through licenses and later tests + builds.

Also I added all of you in the CC since you were part of the patchset thread.

[1] https://issues.guix.gnu.org/50862
[2] https://github.com/phodina/guix/tree/patch/upstream-kde

----
Petr